package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.service.ContractKindService;
import com.ecep.contract.vo.ContractKindVo;

public class ContractKindTableCell<V> extends AsyncUpdateTableCell<V, Integer, ContractKindVo> {

    public ContractKindTableCell() {
    }

    public ContractKindTableCell(ContractKindService contractService) {
        setService(contractService);
    }

    @Override
    protected ContractKindService getServiceBean() {
        return getBean(ContractKindService.class);
    }

}
